<?php
/*

PBSWeb: A Web-based Interface to PBS
Copyright (C) 2000, 2001  Paul Lu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

.......................
Please leave this copyright notice intact.
See http://www.gnu.org/copyleft/gpl.html for further details

Contact information:
	Paul Lu
	Assistant Professor
	Dept. of Computing Science
	Athabasca Hall
	University of Alberta
	Edmonton, Alberta, T6G 2E8
	Canada

	E-mail:         paullu@cs.ualberta.ca
	Web:            http://www.cs.ualberta.ca/~paullu/

Other contributors to PBSWeb (as of July 2001)
	George Ma, Victor Salamon, Christopher Pinchak, Yaling Pei,
	Jonathan Schaeffer, Duane Szafron
*/

# George 2000/01/10
# Global Constants for PBSWeb

# Name of directory used by PBSWeb at the Resource Provider
#	For example, if user "george" wants to use PBSWeb with their
#	account at machine "aurora.nic.ualberta.ca", then george must
#	have a directory called "~/pbsweb" (a symbolic link is also OK)
$PBSWEBDIR="pbsweb";

# Default Resource Provider for PBSWeb to access
# MODIFY ME
$DEFAULTHOST="aurora.nic.ualberta.ca";

# When uploading a tar file from browser to Resource Provider, we need
# to stage the file in this directory.
# Be sure to create a directory for each valid PBSWeb user.
# $TEMPUPLOADDIR="/usr/brule6/misc/pbsweb/upload";
# MODIFY ME
$TEMPUPLOADDIR="/tmp/pbsweb.upload";

# Vick 20010111
define("PBSFALSERET", "PBSWEBFALSEVALUEBLABLABLA");
$PBSWebErrMsg="";

# Vick 20010126 defines the behaviour of debugging (see dbg.php)
# Choose one of PRINT or RECORD_LAST
# define("PBSDBGBEHAVIOUR", "PRINT");
define("PBSDBGBEHAVIOUR", "RECORD_LAST");
?>
