<?php
  session_start();

/*

PBSWeb: A Web-based Interface to PBS
Copyright (C) 2000, 2001  Paul Lu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

.......................
Please leave this copyright notice intact.
See http://www.gnu.org/copyleft/gpl.html for further details

Contact information:
	Paul Lu
	Assistant Professor
	Dept. of Computing Science
	Athabasca Hall
	University of Alberta
	Edmonton, Alberta, T6G 2E8
	Canada

	E-mail:         paullu@cs.ualberta.ca
	Web:            http://www.cs.ualberta.ca/~paullu/

Other contributors to PBSWeb (as of July 2001)
	George Ma, Victor Salamon, Christopher Pinchak, Yaling Pei,
	Jonathan Schaeffer, Duane Szafron
*/
  session_register('username');
  session_register('sessionkey');

  include ("dbutils.php");
  include("PBSWebConstants.php");

  DB_authPage($sessionkey);
?>

<?php
     $host_names=DB_get_machines_list($username);

     if(PBSFALSERET==$host_names)
     { dispErrorPageAutoHelp($PBSWebErrMsg); }
     
     $javascript_str="\n\tvar programs=new Array(".count($host_names).");";
     for($i=0;$i<count($host_names);$i++)
     {
       $program_names=DB_get_programs_list($username, $host_names[$i]);

       if(PBSFALSERET==$program_names)
       { dispErrorPageAutoHelp($PBSWebErrMsg); }

       $javascript_str.="\n\tprograms[$i]=new Array(".count($program_names).");";
       
       for($j=0;$j<count($program_names);$j++)
       {
         $javascript_str.="\n\tprograms[$i][$j]='$program_names[$j]';";
       }
     }
     $javascript_str.="\n\n";
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>PBSWeb Program Selection Page</title>

      <script language="JavaScript"><!--
      <?php
         echo $javascript_str;
      ?>
      function populatePrograms()
      {
         var selected=window.document.forms[0].host.selectedIndex;
	 var hostname=window.document.forms[0].host.options[selected].value;

         // clear select box
         window.document.forms[0].program.options.length=0;

	 for(var i=0;i<programs[selected].length;i++)
	 {
           window.document.forms[0].program.options[i]=new Option();
           window.document.forms[0].program.options[i].value=programs[selected][i];
           window.document.forms[0].program.options[i].text=programs[selected][i];
	 }
      }
      //-->
      </script>

  </head>
  <body bgcolor="white">
    <h1>
      <img src="img/littlepbsguy.jpg" border="0" height="102" width="92" alt="PBS Logo">Select a Program to Run
    </h1>

<?php
  /* Put standard navigation menu */
  include("navbar.php");
?>

    <hr>
    <table>
      <tr>
        <td>
	   <form name="mainform" action="submitscript.php" method="POST">
	       <select name="host" size="5" onChange="javascript:populatePrograms()">
               <?php

	           foreach ($host_names as $host) 
	           {
	             echo "\n<option value='$host'>$host";
	           }
               ?>
               </select></td><td>
	       <select name="program" size="5">
	         <option>------ No host name selected ------ 
               </select>
	</td><tr><td colspan="2" align="right">
	       <input type=submit value="Next"></td>
           </form>
        </td>
      </tr>
    </table>
    <hr>
    <table border="0">
    <tr>
    </tr>
    <tr>
    <td>Send questions and comments to <a href="mailto:pbsweb@cs.ualberta.ca">pbsweb@cs.ualberta.ca</a>. You can
    find <a href='help.html'> help here </a>.</td>
    </tr>  
    </table>
  </body>
</html>
